#ifndef FORMPROJECTLIST_H
#define FORMPROJECTLIST_H

#include <QMainWindow>
#include "projectdao.h"

namespace Ui {
class formProjectList;
}

class formProjectList : public QMainWindow
{
    Q_OBJECT

public:
    explicit formProjectList(QWidget *parent = nullptr);
    ~formProjectList();

public slots:
    void refreshList();
    void createNewProject();
    void editProject();
    void deleteProject();

private:
    void setupModel();
    Ui::formProjectList *ui;
};

#endif // FORMPROJECTLIST_H